View Issue Details

IDProjectCategoryView StatusLast Update
0035202LazarusLCLpublic2019-03-14 17:40
ReporterBorislav BorisovAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0Product Build60307 
Target Version2.0Fixed in Version2.1 (SVN) 
Summary0035202: DBgrid does not accept translations in main form only
DescriptionIf we have a Project with Enabled i18n, using .po files to translate it, with more than one Forms with DBgrids in each ones, DBgrid column's titles are translated properly in secondary forms, but not in the first Form.

There is a screenshot within the attached archive, but you can also see it in inside this forum topic:
http://forum.lazarus-ide.org/index.php/topic,44555.0.html
TagsNo tags attached.
Fixed in Revision60667
LazTarget2.0.2
Widgetset
Attached Files

Activities

Borislav Borisov

2019-03-07 11:06

reporter  

dbgrid_translate.zip (170,160 bytes)

Maxim Ganetsky

2019-03-07 23:49

developer   ~0114706

Last edited: 2019-03-08 00:28

View 4 revisions

Interesting.

This property stops being translated if SetDefaultLang('en') is called AFTER form creation. E.g. move it to Button1 OnClick handler and DBGrid on the second form won't be translated too. Move it to initialization section and everything will be translated.

Title captions are simply not 'seen' when iterating over translatable properties. Maybe DBGrid does something with them at runtime?

Jesus Reyes

2019-03-14 17:40

developer   ~0114825

Yes, the translator was ignoring those properties defined in DefineProperties, the TReader also do not check IsStoredProp for reading properties from the, lfm.

Please test.

Issue History

Date Modified Username Field Change
2019-03-07 11:06 Borislav Borisov New Issue
2019-03-07 11:06 Borislav Borisov File Added: dbgrid_translate.zip
2019-03-07 23:49 Maxim Ganetsky Note Added: 0114706
2019-03-08 00:25 Maxim Ganetsky Note Edited: 0114706 View Revisions
2019-03-08 00:27 Maxim Ganetsky Note Edited: 0114706 View Revisions
2019-03-08 00:28 Maxim Ganetsky Note Edited: 0114706 View Revisions
2019-03-14 17:30 Jesus Reyes Assigned To => Jesus Reyes
2019-03-14 17:30 Jesus Reyes Status new => assigned
2019-03-14 17:40 Jesus Reyes Fixed in Revision => 60667
2019-03-14 17:40 Jesus Reyes LazTarget => 2.0.2
2019-03-14 17:40 Jesus Reyes Note Added: 0114825
2019-03-14 17:40 Jesus Reyes Status assigned => resolved
2019-03-14 17:40 Jesus Reyes Fixed in Version => 2.1 (SVN)
2019-03-14 17:40 Jesus Reyes Resolution open => fixed
2019-03-14 17:40 Jesus Reyes Target Version => 2.0